package com.storlead.system.service;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.extension.service.IService;
import com.storlead.framework.auth.vo.LoginUser;
import com.storlead.system.enums.OrganizationalTypeEnum;
import com.storlead.system.pojo.entity.UserRoleEntity;

import java.util.List;
import java.util.Set;

/**
 * <p>
 * 用户角色表 服务类
 * </p>
 *
 * @Author chenkq
 * @since 2022-12-21
 */
public interface IUserRoleService extends IService<UserRoleEntity> {

     List<UserRoleEntity> selectUserRole(Wrapper wrapper);

    Set<Long> selectUserRoleByUserId(Long id);

    void initUserRole();

    /***
      * @Description: 通过组织类型查询当前登录用户的权限范围
      * @Param: organizationalType（1集团，2公司，3部门，4个人）
      * @return:
      * @Author: YPZ
      * @Date: 2025/5/8 10:40
      */
    Set<Long> dataSelete(OrganizationalTypeEnum organizationalTypeEnum);

    Boolean dataAllSelete(OrganizationalTypeEnum organizationalTypeEnum);
}
